Get Metrics Schema

Get Metrics Schema
Get metrics schema for an entity type

Get details of metrics available for entity type

Request
URI
GET
https://{api_host}/api/ni/schema/{entity-type}/metrics
COPY
Path Parameters
string
entity-type
Required

entity type


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns EntityMetricsSchema of type(s) application/json
{
    "results": [
        {
            "metric": "string",
            "display_name": "string",
            "intervals": [
                0
            ],
            "description": "string",
            "unit": "string"
        }
    ]
}
array of object
results
Optional

results


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/schema/{entity-type}/metrics